## org.apache.poi.openxml4j.opc.internal
Interface PartMarshaller

All Known Implementing Classes:
  DefaultMarshaller, PackagePropertiesMarshaller, ZipPackagePropertiesMarshaller, ZipPartMarshaller

    public interface PartMarshaller

Object implemented this interface are considered as part marshaller. A part marshaller is responsible to marshall a part in order to be save in a package.

Version:
  0.1
Author:
  Julien Chable

Method Summary
`boolean` `marshall(PackagePart part, java.io.OutputStream out)` Save the content of the package in the stream

Method Detail

### marshall

    boolean marshall(PackagePart part,
                     java.io.OutputStream out)
                     throws OpenXML4JException

  Save the content of the package in the stream

  Parameters:
    `part` - Part to marshall.
    `out` - The output stream into which the part will be marshall.
  Returns:
    false if any marshall error occurs, else true
  Throws:
    `OpenXML4JException` - Throws only if any other exceptions are thrown by inner methods.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.